Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.properties
Class PropertyGroup

    java.lang.Object
      mro.util.properties.Property
          mro.util.properties.PropertyGroup

    public class PropertyGroup

extends Property

Field Summary
`private java.lang.String` | `description` Info about the Properties (and its owning class).
`(package private) java.util.Vector<Property>` | `properties`
`(package private) java.lang.String` | `propertyGroupName`

Fields inherited from class mro.util.properties.Property
`kind, name, propertyDescription, value, valueDescriptions`

Constructor Summary
`PropertyGroup()`
`PropertyGroup(PropertyGroup pg)` Copy Constructor.
`PropertyGroup(java.lang.String propertyGroupName)`

Method Summary
`void` | `addProperty(Property p)`
`void` | `addPropertyVector(java.util.Vector pv)`
`boolean` | `equals(PropertyGroup propertyGroup2)` Returns true if: 1) the PropertGroup:s have the same name, 2) all Property:s (including PropertyGroup:s) have the same name and are in the same order, and the Property:s have the same values.
`java.lang.String` | `getPropertyGroupName()`
`java.util.Vector<Property>` | `getPropertyVector()`
`void` | `printXML(java.io.PrintWriter pw)`
`boolean` | `sameProperties(PropertyGroup propertyGroup2)` Returns true if all Property:s (including PropertyGroup:s) have the same name and are in the same order, false otherwise.
`void` | `setPropertyGroupName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class mro.util.properties.Property
`addValueDescription, addVectorOfValueDescriptions, equals, getAllValueDescriptions, getAppropriateValueDescription, getDescription, getKind, getName, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyGroupName

    java.lang.String propertyGroupName

### properties

    java.util.Vector<Property> properties

### description

    private java.lang.String description

  Info about the Properties (and its owning class). Not used yet.

Constructor Detail

### PropertyGroup

    PropertyGroup()

### PropertyGroup

    public PropertyGroup(java.lang.String propertyGroupName)

### PropertyGroup

    public PropertyGroup(PropertyGroup pg)

  Copy Constructor.

Method Detail

### addProperty

    public void addProperty(Property p)

### addPropertyVector

    public void addPropertyVector(java.util.Vector pv)

### getPropertyGroupName

    public java.lang.String getPropertyGroupName()

### setPropertyGroupName

    public void setPropertyGroupName(java.lang.String name)

### getPropertyVector

    public java.util.Vector<Property> getPropertyVector()

### sameProperties

    public boolean sameProperties(PropertyGroup propertyGroup2)

  Returns true if all Property:s (including PropertyGroup:s) have the same name and are in the same order, false otherwise. The values does not have to be the same.

### equals

    public boolean equals(PropertyGroup propertyGroup2)

  Returns true if: 1) the PropertGroup:s have the same name, 2) all Property:s (including PropertyGroup:s) have the same name and are in the same order, and the Property:s have the same values. Uses Property.equals()

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Overrides:
    `printXML` in class `Property`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD